const adjectives = [
  "가냘픈",
  "가는",
  "가엾은",
  "가파른",
  "같은",
  "거센",
  "거친",
  "검은",
  "게으른",
  "고달픈",
  "고른",
  "고마운",
  "고운",
  "고픈",
  "곧은",
  "괜찮은",
  "구석진",
  "굳은",
  "굵은",
  "귀여운",
  "그런",
  "그른",
  "그리운",
  "기다란",
  "기쁜",
  "긴",
  "깊은",
  "깨끗한",
  "나쁜",
  "날랜",
  "낮은",
  "너른",
  "널따란",
  "넓은",
  "네모난",
  "노란",
  "높은",
  "누런",
  "느린",
  "늦은",
  "다른",
  "더러운",
  "더운",
  "덜된",
  "동그란",
  "둥그런",
  "둥근",
  "뒤늦은",
  "드문",
  "딱한",
  "뛰어난",
  "뜨거운",
  "막다른",
  "많은",
  "매운",
  "먼",
  "멋진",
  "메마른",
  "메스꺼운",
  "모난",
  "못난",
  "못된",
  "못생긴",
  "무거운",
  "무딘",
  "무른",
  "무서운",
  "미끈한",
  "미운",
  "반가운",
  "밝은",
  "밤늦은",
  "보람찬",
  "부드러운",
  "부른",
  "붉은",
  "비싼",
  "빠른",
  "빨간",
  "뻘건",
  "뼈저린",
  "뽀얀",
  "뿌연",
  "새로운",
  "서툰",
  "섣부른",
  "설운",
  "성가신",
  "센",
  "수줍은",
  "쉬운",
  "슬픈",
  "싫은",
  "싼",
  "쓰린",
  "쓴",
  "아니꼬운",
  "아닌",
  "아름다운",
  "아쉬운",
  "아픈",
  "안된",
  "않은",
  "알맞은",
  "약빠른",
  "약은",
  "얇은",
  "얕은",
  "어두운",
  "어려운",
  "어린",
  "언짢은",
  "엄청난",
  "없는",
  "여문",
  "열띤",
  "예쁜",
  "올바른",
  "옳은",
  "외로운",
  "우스운",
  "의심쩍은",
  "이른",
  "익은",
  "있는",
  "작은",
  "잘난",
  "잘빠진",
  "잘생긴",
  "재미있는",
  "적은",
  "젊은",
  "점잖은",
  "조그만",
  "좁은",
  "좋은",
  "줄기찬",
  "즐거운",
  "지나친",
  "지혜로운",
  "질긴",
  "짓궂은",
  "짙은",
  "짠",
  "짧은",
  "케케묵은",
  "큰",
  "탐스러운",
  "푸른",
  "흐린",
  "희망찬",
  "흰",
  "힘겨운",
  "힘찬",
];

const nouns = [
  "사자",
  "호랑이",
  "표범",
  "하늘소",
  "말미잘",
  "솔개",
  "얼룩말",
  "백말",
  "말",
  "기린",
  "하마",
  "악어",
  "캥거루",
  "퓨마",
  "코끼리",
  "뱀",
  "코브라",
  "사슴",
  "순록",
  "팬더",
  "곰",
  "북극곰",
  "물개",
  "너구리",
  "수달",
  "치타",
  "침팬지",
  "원숭이",
  "고양이",
  "개",
  "고릴라",
  "돼지",
  "늑대",
  "여우",
  "양",
  "염소",
  "소",
  "들소",
  "노루",
  "비버",
  "다람쥐",
  "족제비",
  "오소리",
  "미어캣",
  "노새",
  "당나귀",
  "토끼",
  "개구리",
  "두꺼비",
  "쥐",
  "생쥐",
  "스컹크",
  "박쥐",
  "거북이",
  "도마뱀",
  "꿩",
  "독수리",
  "제비",
  "비둘기",
  "참새",
  "부엉이",
  "펭귄",
  "까마귀",
  "까치",
  "타조",
  "갈매기",
  "오리",
  "닭",
  "거위",
  "가리비",
  "왜가리",
  "황새",
  "청설모",
  "종다리",
  "꾀꼬리",
  "앵무새",
  "공작새",
  "백조",
  "기러기",
  "돌고래",
  "고래",
  "참치",
  "연어",
  "고등어",
  "상어",
  "멸치",
  "잉어",
  "붕어",
  "가오리",
  "메기",
  "복어",
  "가자미 ",
  "장어",
  "날치",
  "청어",
  "전어",
  "도미",
  "꽁치",
  "갈치",
  "말미잘",
  "해삼",
  "전복",
  "숭어",
  "송어",
  "오징어",
  "문어",
  "낙지",
  "조개",
  "소라",
  "멍게",
  "성게",
  "홍학",
  "산호",
  "새우",
  "게",
  "병아리",
  "낙타",
  "나비",
  "꿀벌",
  "매미",
  "달팽이",
];

export const generateCode = () => {
  const aNumber = Math.floor(Math.random() * adjectives.length);
  const nNumber = Math.floor(Math.random() * nouns.length);
  const code = adjectives[aNumber] + " " + nouns[nNumber];

  return code;
};